﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Ribbon;

namespace GalleryToolItemsBinding
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            
        }

        void RibbonMenu_Opened(object sender, RoutedEventArgs e)
        {
            int removeIndex = -1;
            foreach (var item in (sender as RibbonContextMenu).Items)
            {
                if (item is ToolMenuItem && (item as ToolMenuItem).Header.ToString().Contains("Show Quick Access Toolbar"))
                    removeIndex = (sender as RibbonContextMenu).Items.IndexOf(item);
            }

            if (removeIndex != -1)
            {
                (sender as RibbonContextMenu).Items.RemoveAt(removeIndex);
                (sender as RibbonContextMenu).Items.RemoveAt(removeIndex);
            }

        }
    }
}
